varying vec3 normal, lightDir, eyeVec;

void main()
{	
	normal = normalize(gl_NormalMatrix * gl_Normal);

	vec3 vVertex = vec3(gl_ModelViewMatrix * gl_Vertex);

	lightDir = normalize(vec3(gl_LightSource[0].position.xyz - vVertex));
	eyeVec = normalize(-vVertex);

gl_TexCoord[0] = gl_MultiTexCoord0;
gl_TexCoord[1] = gl_MultiTexCoord1;
	gl_Position = ftransform();		
}
